- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Member Functions | Public Attributes | List of all members
pdftron::PDF::TrustVerificationResult Class Reference

`#include <TrustVerificationResult.h>`

## Public Member Functions
| TrustVerificationResult (const TrustVerificationResult &other)
TrustVerificationResult & | operator= (const TrustVerificationResult &other)
| ~TrustVerificationResult ()
void | Destroy ()
bool | WasSuccessful () const
UString | GetResultString () const
Int64 | GetTimeOfTrustVerification () const
VerificationOptions::TimeMode | GetTimeOfTrustVerificationEnum () const
bool | HasEmbeddedTimestampVerificationResult () const
EmbeddedTimestampVerificationResult | GetEmbeddedTimestampVerificationResult ()
std::vector < Crypto::X509Certificate > | GetCertPath () const
| TrustVerificationResult (TRN_TrustVerificationResult impl)

## Public Attributes
TRN_TrustVerificationResult | m_impl

## Detailed Description

The detailed result of a trust verification step of a verification operation performed on a digital signature.

Definition at line 23 of file TrustVerificationResult.h.

## Constructor & Destructor Documentation

pdftron::PDF::TrustVerificationResult::TrustVerificationResult | ( | const TrustVerificationResult & | other | ) |

pdftron::PDF::TrustVerificationResult::~TrustVerificationResult | ( |  | ) |

pdftron::PDF::TrustVerificationResult::TrustVerificationResult | ( | TRN_TrustVerificationResult | impl | ) |

## Member Function Documentation

void pdftron::PDF::TrustVerificationResult::Destroy | ( |  | ) |

std::vector<Crypto::X509Certificate> pdftron::PDF::TrustVerificationResult::GetCertPath | ( |  | ) | const

Retrieves the certificate path that was used for verification.

Returns
  a container of X509Certificate objects

EmbeddedTimestampVerificationResult pdftron::PDF::TrustVerificationResult::GetEmbeddedTimestampVerificationResult | ( |  | ) |

Returns the detailed timestamp result inside this TrustVerificationResult. One must call HasEmbeddedTimestampVerificationResult first to check whether the result is available.

Returns
  an EmbeddedTimestampVerificationResult object.

UString pdftron::PDF::TrustVerificationResult::GetResultString | ( |  | ) | const

Retrieves a string representation of the details of the trust verification status.

Returns
  A string.

Note
  Output may change in future versions.

Int64 pdftron::PDF::TrustVerificationResult::GetTimeOfTrustVerification | ( |  | ) | const

Retrieves the reference-time used for trust verification as an epoch time.

Returns
  An integral value representing an epoch time.

VerificationOptions::TimeMode pdftron::PDF::TrustVerificationResult::GetTimeOfTrustVerificationEnum | ( |  | ) | const

Retrieves the type of reference-time used for trust verification.

Returns
  An enumerated value representing the type of reference-time used for trust verification.

bool pdftron::PDF::TrustVerificationResult::HasEmbeddedTimestampVerificationResult | ( |  | ) | const

Returns whether this TrustVerificationResult has a detailed timestamp result inside.

Returns
  a boolean value representing whether this TrustVerificationResult has a detailed timestamp result inside.

TrustVerificationResult& pdftron::PDF::TrustVerificationResult::operator= | ( | const TrustVerificationResult & | other | ) |

bool pdftron::PDF::TrustVerificationResult::WasSuccessful | ( |  | ) | const

Retrieves the trust verification status.

Returns
  A boolean representing whether or not the trust verification operation was successful. Whether trust-related warnings are treated as errors or not depend on the VerificationOptions used for the verification operation.

## Member Data Documentation

TRN_TrustVerificationResult pdftron::PDF::TrustVerificationResult::m_impl

Definition at line 92 of file TrustVerificationResult.h.

The documentation for this class was generated from the following file:

- PDF/TrustVerificationResult.h